CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-3617

The forum_print_latest_discussions function in mod/forum/lib.php in Moodle through 2.4.11, 2.5.x before 2.5.8, 2.6.x before 2.6.5, and 2.7.x before 2.7.2 allows remote authenticated users to bypass the individual answer-posting requirement without the mod/forum:viewqandawithoutposting capability, and discover an author's username, by leveraging the student role and visiting a Q&A forum.
Publish Date : 2014-09-15 Last Update Date : 2014-09-15
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Bypass a restriction or similar
CWE ID 264

- Products Affected By CVE-2014-3617

# Product Type Vendor Product Version Update Edition Language
1 Application Moodle Moodle 2.0 Version Details Vulnerabilities
2 Application Moodle Moodle 2.0.1 Version Details Vulnerabilities
3 Application Moodle Moodle 2.0.2 Version Details Vulnerabilities
4 Application Moodle Moodle 2.0.3 Version Details Vulnerabilities
5 Application Moodle Moodle 2.0.4 Version Details Vulnerabilities
6 Application Moodle Moodle 2.0.5 Version Details Vulnerabilities
7 Application Moodle Moodle 2.0.6 Version Details Vulnerabilities
8 Application Moodle Moodle 2.0.7 Version Details Vulnerabilities
9 Application Moodle Moodle 2.0.8 Version Details Vulnerabilities
10 Application Moodle Moodle 2.0.9 Version Details Vulnerabilities
11 Application Moodle Moodle 2.1 Version Details Vulnerabilities
12 Application Moodle Moodle 2.1.1 Version Details Vulnerabilities
13 Application Moodle Moodle 2.1.2 Version Details Vulnerabilities
14 Application Moodle Moodle 2.1.3 Version Details Vulnerabilities
15 Application Moodle Moodle 2.1.4 Version Details Vulnerabilities
16 Application Moodle Moodle 2.1.5 Version Details Vulnerabilities
17 Application Moodle Moodle 2.1.6 Version Details Vulnerabilities
18 Application Moodle Moodle 2.1.7 Version Details Vulnerabilities
19 Application Moodle Moodle 2.1.8 Version Details Vulnerabilities
20 Application Moodle Moodle 2.1.9 Version Details Vulnerabilities
21 Application Moodle Moodle 2.1.10 Version Details Vulnerabilities
22 Application Moodle Moodle 2.2 Version Details Vulnerabilities
23 Application Moodle Moodle 2.2.1 Version Details Vulnerabilities
24 Application Moodle Moodle 2.2.2 Version Details Vulnerabilities
25 Application Moodle Moodle 2.2.3 Version Details Vulnerabilities
26 Application Moodle Moodle 2.2.4 Version Details Vulnerabilities
27 Application Moodle Moodle 2.2.5 Version Details Vulnerabilities
28 Application Moodle Moodle 2.2.6 Version Details Vulnerabilities
29 Application Moodle Moodle 2.2.7 Version Details Vulnerabilities
30 Application Moodle Moodle 2.2.8 Version Details Vulnerabilities
31 Application Moodle Moodle 2.2.9 Version Details Vulnerabilities
32 Application Moodle Moodle 2.2.10 Version Details Vulnerabilities
33 Application Moodle Moodle 2.2.11 Version Details Vulnerabilities
34 Application Moodle Moodle 2.3 Version Details Vulnerabilities
35 Application Moodle Moodle 2.3.1 Version Details Vulnerabilities
36 Application Moodle Moodle 2.3.2 Version Details Vulnerabilities
37 Application Moodle Moodle 2.3.3 Version Details Vulnerabilities
38 Application Moodle Moodle 2.3.4 Version Details Vulnerabilities
39 Application Moodle Moodle 2.3.5 Version Details Vulnerabilities
40 Application Moodle Moodle 2.3.6 Version Details Vulnerabilities
41 Application Moodle Moodle 2.3.7 Version Details Vulnerabilities
42 Application Moodle Moodle 2.3.8 Version Details Vulnerabilities
43 Application Moodle Moodle 2.3.9 Version Details Vulnerabilities
44 Application Moodle Moodle 2.3.10 Version Details Vulnerabilities
45 Application Moodle Moodle 2.3.11 Version Details Vulnerabilities
46 Application Moodle Moodle 2.4 Version Details Vulnerabilities
47 Application Moodle Moodle 2.4.1 Version Details Vulnerabilities
48 Application Moodle Moodle 2.4.2 Version Details Vulnerabilities
49 Application Moodle Moodle 2.4.3 Version Details Vulnerabilities
50 Application Moodle Moodle 2.4.4 Version Details Vulnerabilities
51 Application Moodle Moodle 2.4.5 Version Details Vulnerabilities
52 Application Moodle Moodle 2.4.6 Version Details Vulnerabilities
53 Application Moodle Moodle 2.4.7 Version Details Vulnerabilities
54 Application Moodle Moodle 2.4.8 Version Details Vulnerabilities
55 Application Moodle Moodle 2.4.9 Version Details Vulnerabilities
56 Application Moodle Moodle 2.4.10 Version Details Vulnerabilities
57 Application Moodle Moodle 2.4.11 Version Details Vulnerabilities
58 Application Moodle Moodle 2.5 Version Details Vulnerabilities
59 Application Moodle Moodle 2.5.1 Version Details Vulnerabilities
60 Application Moodle Moodle 2.5.2 Version Details Vulnerabilities
61 Application Moodle Moodle 2.5.3 Version Details Vulnerabilities
62 Application Moodle Moodle 2.5.4 Version Details Vulnerabilities
63 Application Moodle Moodle 2.5.5 Version Details Vulnerabilities
64 Application Moodle Moodle 2.5.6 Version Details Vulnerabilities
65 Application Moodle Moodle 2.5.7 Version Details Vulnerabilities
66 Application Moodle Moodle 2.6 Version Details Vulnerabilities
67 Application Moodle Moodle 2.6.1 Version Details Vulnerabilities
68 Application Moodle Moodle 2.6.2 Version Details Vulnerabilities
69 Application Moodle Moodle 2.6.3 Version Details Vulnerabilities
70 Application Moodle Moodle 2.6.4 Version Details Vulnerabilities
71 Application Moodle Moodle 2.7 Version Details Vulnerabilities
72 Application Moodle Moodle 2.7.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Moodle Moodle 72

- References For CVE-2014-3617

http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-46619 CONFIRM
https://moodle.org/mod/forum/discuss.php?d=269591 CONFIRM
http://openwall.com/lists/oss-security/2014/09/15/1
MLIST [oss-security] 20140915 Moodle security notifications public

- Metasploit Modules Related To CVE-2014-3617

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.